precision mediump float;

uniform sampler2D texLev0;
uniform sampler2D texLev1;
uniform sampler2D texLev2;
uniform sampler2D texLev3;
uniform sampler2D texLev4;

uniform float uStr0;
uniform float uStr1;
uniform float uStr2;
uniform float uStr3;
uniform float uStr4;

uniform float uStrength;

varying vec2 varyTexCoord;

void main()
{
	vec3 val0 = texture2D(texLev0, varyTexCoord).rgb;
	vec3 val1 = texture2D(texLev1, varyTexCoord).rgb;
	vec3 val2 = texture2D(texLev2, varyTexCoord).rgb;
	vec3 val3 = texture2D(texLev3, varyTexCoord).rgb;
	vec3 val4 = texture2D(texLev4, varyTexCoord).rgb;
	vec3 final = uStrength * (uStr0 * val0 + uStr1 * val1 + uStr2 * val2 + uStr3 * val3 + uStr4 * val4);
	//float len = length(final);
	//float newLen = min(len, 1.5);
	//final *= newLen / len;
	gl_FragColor = vec4(final, 1.0);
}
